Package org.kapott.hbci.manager

## Enum HBCIVersion

- java.lang.Object
- - java.lang.Enum<HBCIVersion>
  - - org.kapott.hbci.manager.HBCIVersion

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<HBCIVersion>`

    public enum HBCIVersion
    extends java.lang.Enum<HBCIVersion>

Kapselt die bekannten HBCI-Versionen.

### Enum Constant Summary

Enum Constants
`HBCI_201` HBCI 2.01
`HBCI_210` HBCI 2.1
`HBCI_220` HBCI 2.2
`HBCI_300` FinTS 3.0
`HBCI_400` FinTS 4.0
`HBCI_PLUS` HBCI+ (HBCI 2.2 mit PIN/TAN-Support)

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HBCIVersion` `byId​(java.lang.String id)` Sucht die HBCI-Version anhand der angegebenen ID.
`java.lang.String` `getId()` Liefert die ID der HBCI-Version.
`java.lang.String` `getName()` Liefert den Namen der HBCI-Version.
`java.lang.String` `toString()`
`static HBCIVersion` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HBCIVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HBCI_201

    public static final HBCIVersion HBCI_201

HBCI 2.01

#### HBCI_210

    public static final HBCIVersion HBCI_210

HBCI 2.1

#### HBCI_220

    public static final HBCIVersion HBCI_220

HBCI 2.2

#### HBCI_PLUS

    public static final HBCIVersion HBCI_PLUS

HBCI+ (HBCI 2.2 mit PIN/TAN-Support)

#### HBCI_300

    public static final HBCIVersion HBCI_300

FinTS 3.0

#### HBCI_400

    public static final HBCIVersion HBCI_400

FinTS 4.0

### Method Detail

#### values

    public static HBCIVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HBCIVersion c : HBCIVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HBCIVersion valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getId

    public java.lang.String getId()

Liefert die ID der HBCI-Version.

Returns:
  die ID der HBCI-Version.

#### getName

    public java.lang.String getName()

Liefert den Namen der HBCI-Version.

Returns:
  der Name der HBCI-Version.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<HBCIVersion>`
See Also:
  `Enum.toString()`

#### byId

    public static HBCIVersion byId​(java.lang.String id)

Sucht die HBCI-Version anhand der angegebenen ID.

Parameters:
  `id` - die ID der HBCI-Version.
Returns:
  die gefundene HBCI-Version oder NULL, wenn sie nicht gefunden wurde.